module Asg
  module Rebooter
    module Configuration
      class TargetGroup
        DEREGISTRATION_DELAY_DURING_REBOOT_PROCEDURE = '60'

        DEREGISTRATION_CONFIG = [
          key: 'deregistration_delay.timeout_seconds',
          value: DEREGISTRATION_DELAY_DURING_REBOOT_PROCEDURE
        ]

        attr_reader :target_group, :original_attributes

        def initialize(target_group)
          @target_group = target_group

          @original_attributes = target_group.attributes
        end

        def prepare
          target_group.update_attributes(DEREGISTRATION_CONFIG)

          # Validate?
        end

        def restore
          target_group.update_attributes(original_attributes)

          # Validate?
        end
      end
    end
  end
end
